// -*- C++ -*-
// $RCSfile: recoveredflux.C,v $
// $Revision: 1.4 $
// $Author: vrc $
// $Date: 2007-09-26 22:02:51 $


/* This software was produced by NIST, an agency of the U.S. government,
 * and by statute is not subject to copyright in the United States.
 * Recipients of this software assume all responsibilities associated
 * with its operation, modification and maintenance. However, to
 * facilitate maintenance we ask that before distributing modified
 * versions of this software, you first contact the authors at
 * oof_manager@ctcms.nist.gov. 
 */

#include <oofconfig.h>

#include "engine/recoveredflux.h"
#include "matvec.h"


//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//=\\=//

RecoveredFlux::RecoveredFlux(VECTOR_D *fv)
  : fvalue(fv),
    nfv(1)
{}


// Include *fv in the running average.

void RecoveredFlux::average(VECTOR_D *fv) {
  *fvalue *= double(nfv);
  *fvalue += *fv;
  nfv += 1;
  *fvalue *= 1.0/double(nfv);
}
